﻿@model VirtualCarGarage.MVC.Models.ServiceHistoryViewModel;
@using Microsoft.AspNetCore.Identity
@using VirtualCarGarage.Data.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{ ViewData["Title"] = "Details"; }
@{ Layout = "~/Views/Shared/_Layout.cshtml"; }


<div class="container mt-3">
    <div class="text-center">

        @if (Model == null)
        {
            <h3 class="text-dark font-weight-bolder">No Service History registered.</h3>
            <a asp-controller="ServiceHistories" asp-action="Create" class="btn btn-success">Create</a>
            <a asp-controller="Cars" asp-action="Index" class="btn btn-primary">Back</a>}
        @if (Model != null)
        {
            <h1 class="text-dark font-weight-bolder">Service History</h1>
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.ServiceHistoryId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.CarId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Orders)
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => Model.ServiceHistoryId)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => Model.CarId)
                        </td>
                        <td>
                            <div class="dropdown">
                                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                    Select Order Date
                                </button>
                                <div class="dropdown-menu">
                                    @if (Model.Orders.Count == 0)
                                    {
                                        <a class="dropdown-item">No Orders Registered</a> }
                                    else
                                    {
                                        @foreach (var item in Model.Orders)
                                        {
                                            <a class="dropdown-item" href='@Url.Action("Details", "Orders", new { id = item.OrderId })'>Date: @item.OrderDate.ToShortDateString()</a>}}
                                </div>
                            </div>
                        </td>


                        @if (User.IsInRole("Admin"))
                        {
                            <td>
                                <a asp-action="Edit" asp-route-id="@Model.ServiceHistoryId">Edit</a> |
                                <a asp-action="Delete" asp-route-id="@Model.ServiceHistoryId">Delete</a>
                            </td>
}
                    </tr>
                </tbody>
            </table>}
    </div>
</div>
